From: Junio C Hamano <gitster@pobox.com>
To: git@vger.kernel.org
Subject: [PATCH 06/11] tests: make svn test "set -e" clean
Date: Tue, 24 Mar 2026 23:21:09 -0700 [thread overview]
Message-ID: <20260325062114.2067946-7-gitster@pobox.com> (raw)
In-Reply-To: <20260325062114.2067946-1-gitster@pobox.com>
In order to catch mistakes like misspelling "test_expect_success",
we would like to eventually be able to run our test suite with the
"-e" option on.
The git-svn helper scriptlet suffers from two instances of the
recurring pattern where a sequence
cmd ...
if test $? ...
expects cmd to be allowed to fail freely and we can act on its exit
status, which is not possible under "set -e".
As the second instance uses an extra variable $x to capture the
status of the failed command already, let's use that variable to
rewrite the above pattern to
x=0; cmd ... || x=$?
if test $x ...
which means the same thing but does not fail under "set -e".
Signed-off-by: Junio C Hamano <gitster@pobox.com>
---
t/lib-git-svn.sh | 7 +++----
1 file changed, 3 insertions(+), 4 deletions(-)
diff --git a/t/lib-git-svn.sh b/t/lib-git-svn.sh
index 2fde2353fd..a73b997f8f 100644
--- a/t/lib-git-svn.sh
+++ b/t/lib-git-svn.sh
@@ -15,8 +15,8 @@ GIT_SVN_DIR=$GIT_DIR/svn/refs/remotes/git-svn
SVN_TREE=$GIT_SVN_DIR/svn-tree
test_set_port SVNSERVE_PORT
-svn >/dev/null 2>&1
-if test $? -ne 1
+x=0; svn >/dev/null 2>&1 || x=$?
+if test $x -ne 1
then
skip_all='skipping git svn tests, svn not found'
test_done
@@ -32,8 +32,7 @@ use SVN::Core;
use SVN::Repos;
\$SVN::Core::VERSION gt '1.1.0' or exit(42);
system(qw/svnadmin create --fs-type fsfs/, \$ENV{svnrepo}) == 0 or exit(41);
-" >&3 2>&4
-x=$?
+" >&3 2>&4 || x=$?
if test $x -ne 0
then
if test $x -eq 42; then
--
2.53.0-886-g529cbd14ff
next prev parent reply other threads:[~2026-03-25 6:21 UTC|newest]
Thread overview: 27+ messages / expand[flat|nested] mbox.gz Atom feed top
2026-03-25 6:21 [PATCH 00/11] detect misspelt test_expect_success and friends Junio C Hamano
2026-03-25 6:21 ` [PATCH 01/11] test-lib: catch misspelt 'test_expect_successo' Junio C Hamano
2026-03-26 4:08 ` Jeff King
2026-03-26 14:27 ` Junio C Hamano
2026-03-26 17:29 ` Jeff King
2026-03-27 7:53 ` Patrick Steinhardt
2026-03-27 18:11 ` Junio C Hamano
2026-03-25 6:21 ` [PATCH 02/11] t0008: make test "set -e" clean Junio C Hamano
2026-03-25 6:21 ` [PATCH 03/11] t6002: " Junio C Hamano
2026-03-25 7:15 ` Patrick Steinhardt
2026-03-25 15:45 ` Junio C Hamano
2026-03-25 6:21 ` [PATCH 04/11] t4032: " Junio C Hamano
2026-03-25 7:15 ` Patrick Steinhardt
2026-03-25 6:21 ` [PATCH 05/11] t7450: " Junio C Hamano
2026-03-25 7:15 ` Patrick Steinhardt
2026-03-25 6:21 ` Junio C Hamano [this message]
2026-03-25 7:15 ` [PATCH 06/11] tests: make svn " Patrick Steinhardt
2026-03-25 6:21 ` [PATCH 07/11] t7508: make " Junio C Hamano
2026-03-25 6:21 ` [PATCH 08/11] t9200: " Junio C Hamano
2026-03-25 7:16 ` Patrick Steinhardt
2026-03-25 6:21 ` [PATCH 09/11] t940?: " Junio C Hamano
2026-03-25 6:21 ` [PATCH 10/11] t5570: " Junio C Hamano
2026-03-25 7:16 ` Patrick Steinhardt
2026-03-25 15:50 ` Junio C Hamano
2026-03-25 6:21 ` [PATCH 11/11] t9902: " Junio C Hamano
2026-03-25 7:08 ` [PATCH 00/11] detect misspelt test_expect_success and friends Patrick Steinhardt
2026-03-25 13:47 ` Junio C Hamano
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20260325062114.2067946-7-gitster@pobox.com \
--to=gitster@pobox.com \
--cc=git@vger.kernel.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox